import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  message?: string;
}

export const httpList = (data:object = {}): ResponseType => {
  return http.request("post", `${yewuApi}exclulist`, { data });
};
export const httpCreate = (data:object = {}): ResponseType => {
  return http.request("post", `${yewuApi}excluadd`, { data });
};
export const httpUpdate = (data:object = {}): ResponseType => {
  return http.request("post", `${yewuApi}excluedit`, { data });
};
export const httpDelete = (data:object = {}): ResponseType => {
  return http.request("post", `${yewuApi}excludel`, { data });
};
export const httpStatus = (data:object = {}): ResponseType => {
  return http.request("post", `${yewuApi}exclustatus`, { data });
};
